KDE 4.5 PyKDE API Reference

- KDE's Python API

# ObserverV2 Class Reference

`from PyKDE4.akonadi import *`

Inherits: Akonadi.AgentBase.Observer
Namespace: Akonadi.AgentBase

## Detailed Description

BC extension of Observer with support for monitoring item and collection moves. Use this one instead of Observer.

Since:
  4.4

## Methods
| collectionChanged (self, Akonadi.Collection collection, QSet changedAttributes)
| collectionMoved (self, Akonadi.Collection collection, Akonadi.Collection collectionSource, Akonadi.Collection collectionDestination)
| itemLinked (self, Akonadi.Item item, Akonadi.Collection collection)
| itemMoved (self, Akonadi.Item item, Akonadi.Collection collectionSource, Akonadi.Collection collectionDestination)
| itemUnlinked (self, Akonadi.Item item, Akonadi.Collection collection)

## Method Documentation

collectionChanged | ( | self, |
|  | Akonadi.Collection | collection,
|  | QSet | changedAttributes
| ) |  |  |

Reimplement to handle changes to existing collections.

Parameters:

  | collection | The changed collection.
  | changedAttributes | The identifiers of the collection parts/attributes that has been changed.

collectionMoved | ( | self, |
|  | Akonadi.Collection | collection,
|  | Akonadi.Collection | collectionSource,
|  | Akonadi.Collection | collectionDestination
| ) |  |  |

Reimplement to handle collection moves. When using this class in combination with Akonadi.ResourceBase, inter-resource moves are handled internally already and the corresponding add or delete method is called instead.

Parameters:

  | collection | The moved collection.
  | collectionSource | The previous parent collection.
  | collectionDestination | The new parent collection.

itemLinked | ( | self, |
|  | Akonadi.Item | item,
|  | Akonadi.Collection | collection
| ) |  |  |

Reimplement to handle item linking. This is only relevant for virtual resources.

Parameters:

  | item | The linked item.
  | collection | The collection the item is linked to.

itemMoved | ( | self, |
|  | Akonadi.Item | item,
|  | Akonadi.Collection | collectionSource,
|  | Akonadi.Collection | collectionDestination
| ) |  |  |

Reimplement to handle item moves. When using this class in combination with Akonadi.ResourceBase, inter-resource moves are handled internally already and the corresponding add or delete method is called instead.

Parameters:

  | item | The moved item.
  | collectionSource | The collection the item has been moved from.
  | collectionDestination | The collection the item has been moved to.

itemUnlinked | ( | self, |
|  | Akonadi.Item | item,
|  | Akonadi.Collection | collection
| ) |  |  |

Reimplement to handle item unlinking. This is only relevant for virtual resources.

Parameters:

  | item | The unlinked item.
  | collection | The collection the item is unlinked from.